package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.OmsshipShipmentInstructions;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface OmsshipShipmentInstructionsMapper extends IBaseMapper<OmsshipShipmentInstructions, BigDecimal> {
    List<Map<String,Object>> selectAll(Map<String,Object> mapVal);
    int deleteByPrimaryKey(BigDecimal shipmentInstructionsId);
    int insert(OmsshipShipmentInstructions omsshipShipmentInstructions);
    int updateByPrimaryKeySelective(OmsshipShipmentInstructions omsshipShipmentInstructions);
    //   得到最大id
    BigDecimal selectMaxId();
    List<Map<String,Object>> selectShipmentInstructions(BigDecimal shipmentInstructionsId);
    List<Map<String,Object>> getBatchId();
}